# eth\_getRootHash

**Returns the root hash for a specified block range.**

**Parameters**

1. `QUANTITY, Integer` - fromBlock. The block number from which the range starts <mark style="color:red;">REQUIRED</mark>
2. `QUANTITY, Integer` - toBlock. The block number where the range ends <mark style="color:red;">REQUIRED</mark>

**Returns**

1. `DATA`, 32 Bytes - The root hash of the specified block range

## Example

#### Request

```
curl --request POST \
     --url https://endpoints.omniatech.io/v1/RPC_ENDPOINT \
     --header 'accept: application/json' \
     --header 'content-type: application/json' \
     --data '
{"jsonrpc":"2.0","method":"eth_getRootHash","params":[1000, 1032], "id":1}
'
```

#### Response

```
{
    "jsonrpc": "2.0",
    "id": 1,
    "result": "67518d9fc6bf9ff886ba1a4e932a0d0a8a1318b3f300518773aaf2210410cf73"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.omniatech.io/rpc-api-docs/chains/polygon/polygon-standard-json-rpc-api/eth_getroothash.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
